org.apache.struts2.views.java.simple

## Class DynamicAttributesHandler

- java.lang.Object
- - org.apache.struts2.views.java.simple.AbstractTagHandler
  - - org.apache.struts2.views.java.simple.DynamicAttributesHandler

- All Implemented Interfaces:
    TagHandler

      public class DynamicAttributesHandler
      extends AbstractTagHandler

  Adds dynamic attributes

- - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.views.java.simple.AbstractTagHandler

      `context, nextTagHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicAttributesHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `processDynamicAttributes(Attributes a)`
    `void` | `start(String name, Attributes a)` Write a tag openening, with its attributes

    - ### Methods inherited from class org.apache.struts2.views.java.simple.AbstractTagHandler

      `characters, characters, end, findString, findValue, processParams, setNext, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicAttributesHandler

          public DynamicAttributesHandler()

  - ### Method Detail

    - #### start

          public void start(String name,
                            Attributes a)
                     throws IOException

      Description copied from interface: `TagHandler`
      Write a tag openening, with its attributes
      Specified by:
        `start` in interface `TagHandler`
      Overrides:
        `start` in class `AbstractTagHandler`
      Parameters:
        `name` - name of the tag
        `a` - attributes of the tag
      Throws:
        `IOException`

    - #### processDynamicAttributes

          protected void processDynamicAttributes(Attributes a)

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.